@use '../../global/styles-variables' as *;

.digi-docs-wrapper {
	> .digi-layout-block {
		--digi--layout-block--background--primary: var(--digi--color--background--neutral-5);
	}
}
.digi-docs-rekai {
	--rekai-border-color: #000000;
	--rekai-font-color: var(--digi--color--text--primary);
	--rekai-hover-color: #f3f3f3;
	--rekai-parent-bg-color: var(--digi--color--background--neutral-5);
	--rekai-chip-bg-color: #fff; //transparent?
	--rekai-chip-bg-color-hover: #fff; //transparent?

	&__heading{
		padding: var(--digi--global--spacing--largest-7) 0;
		margin:0 0 -50px;
	}

	*:focus {
		outline: none;
	}

	display: flex;
	flex-direction: column;
	gap: 10px;
	width: 100%;
	padding-block: var(--digi--global--spacing--largest-7);
	padding-top: var(--digi--global--spacing--largest-6);

	ul {
		display: flex;
		flex-wrap: wrap;
		gap: 1rem 10px;
		list-style-type: none;
		padding: 0;
		margin: 0;

		li {
			cursor: pointer;
			position: relative;

			p {
				border-radius: 2rem;
				width: 100%;
				height: 100%;
				display: flex;
				align-items: center;
				padding: 0 1rem;
			}
		}
		li:first-child {
			@media screen and (max-width: $digi--breakpoint--medium) {
				width: 100%;
			}
		}
	}
	a {
		color: var(--rekai-font-color);
		text-decoration: none;
		&:hover, &:focus {
			.chip {
				background-color: var(--digi--color--background--neutral-7);
			}
		}
	}

	.chip {
		background-color:var(--rekai-chip-bg-color);
		border-radius: 2rem;
		border-color: var(--rekai-border-color);
		border-style: solid;
		border-width: 1px;
		background-color: transparent;
		box-sizing: border-box;
		display: flex;
		align-items: center;
		justify-content: center;
		height: 40px;
		gap: 5px;

		&-input-wrapper {
			position: relative;
			padding: 0;
			padding-left: 10px;
			justify-content: flex-start;
			padding: 0 1rem;
			border-radius: 2rem;
			background-color: var(--rekai-parent-bg-color);
			background-color: #fff;

			&:hover {
				background-color: #fff;
			}

			svg {
				color: var(--rekai-font-color);
				height: 20px;
			}

			label {
				position: absolute;
				top: 50%;
				transform: translateY(-50%);
				//left: 50px;
				z-index: 3;
				//background-color: var(--rekai-parent-bg-color);
				transition: all 0.1s ease-out;
			}

			input {
				background: transparent;
				border: none;
				font-size: 16px;
				height: 100%;
				width: 100%;
				border-radius: 2rem;
				color: var(--rekai-font-color);
				z-index: 4;
			}

			&:focus-within label {
				top: 0;
				transform: translate(-7px, -100%) scale(0.8);
				// mix-blend-mode: difference;
				// background-color: var(--rekai-parent-bg-color);

				// transform: translate(-9px, -125%) scale(.8);

				// &::before {
				// 	content: '';
				// 	background-color: var(--rekai-parent-bg-color);
				// 	width: 100%;
				// 	height: 100%;
				// 	position: absolute;
				// 	top: 0;
				// 	left: 0;
				// }
			}

			&:focus-within #search-startpage {
				outline-color: none;
				outline-width: 0;
			}

			input:not(:placeholder-shown) ~ label {
				top: 0;
				transform: translate(-7px, -100%) scale(0.8);
			}

			&--icon-right {
				flex-direction: row-reverse;
				label {
					left: 14px;
				}
			}
		}

		&--nolink {
			padding: 0 1rem;
		}

		&--dark {
			background-color: var(--rekai-font-color);

			button {
				background: none;
				border: none;
				display: flex;
				gap: 10px;
				color: var(--rekai-parent-bg-color);
				font-size: 1rem;
				align-items: center;
				cursor: pointer;

				svg {
					color: var(--rekai-parent-bg-color);
					height: 16px;
				}
			}

			&:hover {
				button {
					color: var(--rekai-font-color);
				}

				svg {
					color: var(--rekai-font-color);
				}
			}
		}
	}
	&_newtag {
		font-size: 10px;
		border-radius: 7px;
		background-color: var(--digi--color--background--complementary-2);
		color: white;
		position: absolute;
		top: 0;
		transform: translateY(-50%);
		right: 15px;
		padding: 3px 7px;

		&--hidden {
			display: none;
		}
	}
}
